Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.devel
Class BLMethods

    java.lang.Object
      org.makumba.devel.LineViewer
          org.makumba.devel.jspViewer
              org.makumba.devel.BLMethods

All Implemented Interfaces:
  SourceViewer

    public class BLMethods

extends jspViewer

Implements servlet-based an interface to `CodeGenerator`, and displays the generated JSP code.

Version:
  $Id: GeneratedCodeViewer.java 3174 2008-10-03 00:01:06Z rosso_nero $
Author:
  Rudolf Mayer

Field Summary

Fields inherited from class org.makumba.devel.jspViewer
`hasLogic, sourceSyntaxPoints, syntaxPoints`

Fields inherited from class org.makumba.devel.LineViewer
`caughtError, codeBackgroundStyle, contextPath, dir, hideLineNumbers, importedClasses, importedPackages, jspClasspath, jspSourceViewExtension, logicPath, PARAM_HIDE_LINES, printHeaderFooter, printLineNumbers, reader, realPath, request, searchCompiledJSPClasses, searchJavaClasses, searchJSPPages, searchMDD, servletPath, title, virtualPath`

Constructor Summary
`BLMethods(HttpServletRequest req)`

Method Summary
`void` | `generateCode()` Starts the code generation.
`void` | `intro(PrintWriter w)` writes the page header, with links to the mdd and to browse.

Methods inherited from class org.makumba.devel.jspViewer
`parseText, printPageBeginAdditional`

Methods inherited from class org.makumba.devel.LineViewer
`addImportedPackages, findClass, findClassSimple, findCompiledJSP, findPage, footer, formatClassLink, formatClassLink, formatJSPLink, formatMakumbaLink, formatMDDLink, formatSunTaglibLink, getDirectory, getLineTag, getLineTokenizer, getReader, htmlEscape, main, parseLine, printFileRelations, printLine, printPageBegin, printPageEnd, printVersionControlLink, readFromURL, setSearchLevels, writeAdditionalLinks`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BLMethods

    public BLMethods(HttpServletRequest req)
              throws Exception

Throws:
  `Exception`

Method Detail

### generateCode

    public void generateCode()
                      throws IOException

  Starts the code generation.

  Throws:
    `IOException`

### intro

    public void intro(PrintWriter w)

  writes the page header, with links to the mdd and to browse.

  Overrides:
    `intro` in class `jspViewer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20